/*
Version: 1.0.2
*/

.programmation-header
{
    display: flex;
    justify-content: center;
    align-items: center;
    gap:20px;
}

#programmation {
  scroll-margin-top: 45px;
  background: var(--primary-bg-color);
    /* margin: 0px 47px; */
    padding: 40px;
}

.main-intro
{
    display: flex;
    justify-content: center;
    align-items: center;
    gap:20px;
    height: calc(100svh - 80px);
    width: 100%;
    flex-direction: column;


     background: url(../img/cygne.png) no-repeat center center;
    background-size: contain;
}


.canvas-collision
{
    position: relative;
    height: 100%;
    width: 100%;
}

.main-intro-call
{
    width: 100%;
    padding: 40px 0px;
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    gap:20px;
    flex-direction: raw;
}

.main-intro-call .btn-intro
{
    font-size: 20px;
    background: var(--primary-bg-color);
    padding: 10px;
    text-transform: uppercase;
    font-weight: 600;
}


/*  .main-intro {
        position: relative;
        width: 100%;
        height: 440px;
        overflow: hidden;
        cursor: none;
        touch-action: none;
        background: #f0ebe0;
      } */


      .main-intro .tag {

         font-size: 6vw;
    background: var(--primary-bg-color);
    padding: 10px;
    text-transform: uppercase;
    font-weight: 600;


        position: absolute; left: 0; top: 0;
        /* font-family: sans-serif; font-size: 22px; font-weight: 700; */
        /* letter-spacing: .04em; text-transform: uppercase; */
        /* background: #0a7643; color: #fc71ce; */
        /* padding: 8px 14px; white-space: nowrap; */
        user-select: none; pointer-events: none;
        transform-origin: 0 0; will-change: transform;
      }
      #puck {
        position: absolute; left: 0; top: 0;
        width: 56px; height: 56px; border-radius: 50%;
        background: #0a7643; pointer-events: none;
        will-change: transform;
      }

h2
{
    font-size: 50px;
    background: var(--primary-bg-color);
    padding: 10px;
    text-transform: uppercase;
}

.card-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 20px;
}

.spectacle-card {
    width: calc((100% - 100px) / 3);
}

.spectacle-card a {
    display: block;
    height: 300px;
    overflow: hidden;
}

.spectacle-card img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    filter: grayscale(0%);
}

.spectacle-card h3 {
    text-transform: uppercase;
    font-weight: 700;
    margin-bottom: 2px;
    margin-top: 8px;
    margin-bottom: 5px;
    font-size: 20px
}
.spectacle-card p {
    margin: 0;
    margin-bottom: 2px;
}

.horaires
{
    display: flex;
    gap: 10px;
}

/* 🖥️ Extra Large - desktops */
@media (max-width: 1200px) {
.spectacle-card {
    width: calc((100% - 60px) / 2);
}
.card-container {
    gap: 0px;
}

}

/* 🧾 Medium - tablettes */
@media (max-width: 768px) {
.spectacle-card 
{
    width: calc((100% - 30px) / 1);
    margin: auto;
}

.canvas-collision
{
    height: 100%;
}
}